Hello ,

Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I am
trying to add the latest spree gem in gemfile, and run the command budnle
spree, but I am getting number of errors.

Can you please suggest me,

Thanks in advance.

--
You received this message because you are subscribed to the Google Groups "Spree" group.
To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

Search Discussions

  • Ayupmeduck at Feb 1, 2013 at 8:46 am
    It would help if you told us what errors you were getting. But in general I
    would just repeat Steve Roots advice and perhaps add that you should first
    try the upgrade to 1.2.3 and if that works, then try another upgrade to
    1.3.1.
    On Friday, 1 February 2013 09:13:09 UTC+1, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I am
    trying to add the latest spree gem in gemfile, and run the command budnle
    spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Steve Root at Feb 1, 2013 at 10:00 am
    and one more thing, I had to set the currency on all my prices. I did it in
    mysql on the server.
    Update spree_prices Set `currency`="GBP";


    On Friday, February 1, 2013 8:23:08 AM UTC, Steve Root wrote:

    I've just gone from spree 1 or 1.1 to spree 1.3. What errors are you
    getting?

    Most of my errors were self inflicted, like:
    forgetting rake db:migrate
    forgetting rake *spree*:*install*:*migrations (or "*bundle exec rake *
    spree*:*install*:*migrations" - I think it depends on which way you
    installed the spree gem but I get confused easily)*
    *missing jquery from app/assets/javascript/admin/all.js (and the store
    too - which solved an old problem I never figured out too)*
    aws-s3 is now conifgured from the admin pages.
    Best thing i did, export my production database and import it to my local
    development database. When my rake db:migrates would fail I could fix the
    problem then reset everything. When I deployed the migrations ran
    perfectly.

    I found a couple of things that were already identified here in the forums
    or on the spree issues on github. It also broke my overrides so I spent a
    lot of time correcting layout issues too.

    Regards
    Steve
    On Friday, February 1, 2013 8:13:09 AM UTC, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I am
    trying to add the latest spree gem in gemfile, and run the command budnle
    spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Ratnamraj raj at Feb 2, 2013 at 1:49 am
    Hi Steve

    Sorry for delay, I am getting following error while running the rails
    server


    /home/hp/elm-khan-store/app/helpers/spree/admin/users_helper_decorator.rb:1:in
    `<top (required)>': uninitialized constant Spree::Admin::UsersHelper
    (NameError)
    from /home/hp/elm-khan-store/config/application.rb:18:in `block (2
    levels) in <class:Application>'
    from /home/hp/elm-khan-store/config/application.rb:17:in `glob'
    from /home/hp/elm-khan-store/config/application.rb:17:in `block in
    <class:Application>'


    Thanks
    On Friday, February 1, 2013 3:30:28 PM UTC+5:30, Steve Root wrote:

    and one more thing, I had to set the currency on all my prices. I did it
    in mysql on the server.
    Update spree_prices Set `currency`="GBP";


    On Friday, February 1, 2013 8:23:08 AM UTC, Steve Root wrote:

    I've just gone from spree 1 or 1.1 to spree 1.3. What errors are you
    getting?

    Most of my errors were self inflicted, like:
    forgetting rake db:migrate
    forgetting rake *spree*:*install*:*migrations (or "*bundle exec rake *
    spree*:*install*:*migrations" - I think it depends on which way you
    installed the spree gem but I get confused easily)*
    *missing jquery from app/assets/javascript/admin/all.js (and the store
    too - which solved an old problem I never figured out too)*
    aws-s3 is now conifgured from the admin pages.
    Best thing i did, export my production database and import it to my local
    development database. When my rake db:migrates would fail I could fix the
    problem then reset everything. When I deployed the migrations ran
    perfectly.

    I found a couple of things that were already identified here in the
    forums or on the spree issues on github. It also broke my overrides so I
    spent a lot of time correcting layout issues too.

    Regards
    Steve
    On Friday, February 1, 2013 8:13:09 AM UTC, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I am
    trying to add the latest spree gem in gemfile, and run the command budnle
    spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Ratnamraj raj at Feb 2, 2013 at 2:06 am
    Hi Steve

    Sorry for delay, I am getting following error while running the rails
    server


    /home/hp/elm-khan-store/app/
    helpers/spree/admin/users_helper_decorator.rb:1:in `<top (required)>':
    uninitialized constant Spree::Admin::UsersHelper (NameError)
    from /home/hp/elm-khan-store/config/application.rb:18:in `block (2
    levels) in <class:Application>'
    from /home/hp/elm-khan-store/config/application.rb:17:in `glob'
    from /home/hp/elm-khan-store/config/application.rb:17:in `block in
    <class:Application>'


    Thanks

    On Friday, February 1, 2013 1:53:08 PM UTC+5:30, Steve Root wrote:

    I've just gone from spree 1 or 1.1 to spree 1.3. What errors are you
    getting?

    Most of my errors were self inflicted, like:
    forgetting rake db:migrate
    forgetting rake *spree*:*install*:*migrations (or "*bundle exec rake *
    spree*:*install*:*migrations" - I think it depends on which way you
    installed the spree gem but I get confused easily)*
    *missing jquery from app/assets/javascript/admin/all.js (and the store
    too - which solved an old problem I never figured out too)*
    aws-s3 is now conifgured from the admin pages.
    Best thing i did, export my production database and import it to my local
    development database. When my rake db:migrates would fail I could fix the
    problem then reset everything. When I deployed the migrations ran
    perfectly.

    I found a couple of things that were already identified here in the forums
    or on the spree issues on github. It also broke my overrides so I spent a
    lot of time correcting layout issues too.

    Regards
    Steve
    On Friday, February 1, 2013 8:13:09 AM UTC, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I am
    trying to add the latest spree gem in gemfile, and run the command budnle
    spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.
    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Michael Sevestre at Feb 2, 2013 at 2:45 am
    Did you add spree_auth_devise to your gemfile?
    check that <http://spreecommerce.com/blog/2012/8>and
    that<http://guides.spreecommerce.com/authentication.html>
    On Sat, Feb 2, 2013 at 3:05 AM, ratnamraj raj wrote:

    Hi Steve

    Sorry for delay, I am getting following error while running the rails
    server


    /home/hp/elm-khan-store/app/
    **helpers/spree/admin/users_**helper_decorator.rb:1:in `<top
    (required)>': uninitialized constant Spree::Admin::UsersHelper (NameError)
    from /home/hp/elm-khan-store/**config/application.rb:18:in `block (2
    levels) in <class:Application>'
    from /home/hp/elm-khan-store/**config/application.rb:17:in `glob'
    from /home/hp/elm-khan-store/**config/application.rb:17:in `block in
    <class:Application>'


    Thanks

    On Friday, February 1, 2013 1:53:08 PM UTC+5:30, Steve Root wrote:

    I've just gone from spree 1 or 1.1 to spree 1.3. What errors are you
    getting?

    Most of my errors were self inflicted, like:
    forgetting rake db:migrate
    forgetting rake *spree*:*install*:*migrations (or "*bundle exec rake *
    spree*:*install*:*migrations" - I think it depends on which way you
    installed the spree gem but I get confused easily)*
    *missing jquery from app/assets/javascript/admin/all.js (and the store
    too - which solved an old problem I never figured out too)*
    aws-s3 is now conifgured from the admin pages.
    Best thing i did, export my production database and import it to my local
    development database. When my rake db:migrates would fail I could fix the
    problem then reset everything. When I deployed the migrations ran
    perfectly.

    I found a couple of things that were already identified here in the
    forums or on the spree issues on github. It also broke my overrides so I
    spent a lot of time correcting layout issues too.

    Regards
    Steve
    On Friday, February 1, 2013 8:13:09 AM UTC, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I am
    trying to add the latest spree gem in gemfile, and run the command budnle
    spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.

    --
    You received this message because you are subscribed to the Google Groups
    "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Ratnam Raj at Feb 2, 2013 at 2:47 am
    Yes michael.
    On Sat, Feb 2, 2013 at 8:15 AM, Michael Sevestre wrote:

    Did you add spree_auth_devise to your gemfile?
    check that <http://spreecommerce.com/blog/2012/8>and that<http://guides.spreecommerce.com/authentication.html>

    On Sat, Feb 2, 2013 at 3:05 AM, ratnamraj raj wrote:

    Hi Steve

    Sorry for delay, I am getting following error while running the rails
    server


    /home/hp/elm-khan-store/app/
    **helpers/spree/admin/users_**helper_decorator.rb:1:in `<top
    (required)>': uninitialized constant Spree::Admin::UsersHelper (NameError)
    from /home/hp/elm-khan-store/**config/application.rb:18:in `block (2
    levels) in <class:Application>'
    from /home/hp/elm-khan-store/**config/application.rb:17:in `glob'
    from /home/hp/elm-khan-store/**config/application.rb:17:in `block in
    <class:Application>'


    Thanks

    On Friday, February 1, 2013 1:53:08 PM UTC+5:30, Steve Root wrote:

    I've just gone from spree 1 or 1.1 to spree 1.3. What errors are you
    getting?

    Most of my errors were self inflicted, like:
    forgetting rake db:migrate
    forgetting rake *spree*:*install*:*migrations (or "*bundle exec rake *
    spree*:*install*:*migrations" - I think it depends on which way you
    installed the spree gem but I get confused easily)*
    *missing jquery from app/assets/javascript/admin/all.js (and the store
    too - which solved an old problem I never figured out too)*
    aws-s3 is now conifgured from the admin pages.
    Best thing i did, export my production database and import it to my
    local development database. When my rake db:migrates would fail I could
    fix the problem then reset everything. When I deployed the migrations ran
    perfectly.

    I found a couple of things that were already identified here in the
    forums or on the spree issues on github. It also broke my overrides so I
    spent a lot of time correcting layout issues too.

    Regards
    Steve
    On Friday, February 1, 2013 8:13:09 AM UTC, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I
    am trying to add the latest spree gem in gemfile, and run the command
    budnle spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.

    --
    You received this message because you are subscribed to the Google Groups
    "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

    --
    You received this message because you are subscribed to the Google Groups
    "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.
  • Ratnam Raj at Feb 2, 2013 at 4:51 am
    Hi Michael, spree updated from 1.1.1 to 1.3.1 but styles are messed.

    Thanks
    On Sat, Feb 2, 2013 at 8:17 AM, Ratnam Raj wrote:

    Yes michael.


    On Sat, Feb 2, 2013 at 8:15 AM, Michael Sevestre <
    michael.sevestre@gmail.com> wrote:
    Did you add spree_auth_devise to your gemfile?
    check that <http://spreecommerce.com/blog/2012/8>and that<http://guides.spreecommerce.com/authentication.html>

    On Sat, Feb 2, 2013 at 3:05 AM, ratnamraj raj wrote:

    Hi Steve

    Sorry for delay, I am getting following error while running the rails
    server


    /home/hp/elm-khan-store/app/
    **helpers/spree/admin/users_**helper_decorator.rb:1:in `<top
    (required)>': uninitialized constant Spree::Admin::UsersHelper (NameError)
    from /home/hp/elm-khan-store/**config/application.rb:18:in `block
    (2 levels) in <class:Application>'
    from /home/hp/elm-khan-store/**config/application.rb:17:in `glob'
    from /home/hp/elm-khan-store/**config/application.rb:17:in `block
    in <class:Application>'


    Thanks

    On Friday, February 1, 2013 1:53:08 PM UTC+5:30, Steve Root wrote:

    I've just gone from spree 1 or 1.1 to spree 1.3. What errors are you
    getting?

    Most of my errors were self inflicted, like:
    forgetting rake db:migrate
    forgetting rake *spree*:*install*:*migrations (or "*bundle exec rake *
    spree*:*install*:*migrations" - I think it depends on which way you
    installed the spree gem but I get confused easily)*
    *missing jquery from app/assets/javascript/admin/all.js (and the
    store too - which solved an old problem I never figured out too)*
    aws-s3 is now conifgured from the admin pages.
    Best thing i did, export my production database and import it to my
    local development database. When my rake db:migrates would fail I could
    fix the problem then reset everything. When I deployed the migrations ran
    perfectly.

    I found a couple of things that were already identified here in the
    forums or on the spree issues on github. It also broke my overrides so I
    spent a lot of time correcting layout issues too.

    Regards
    Steve
    On Friday, February 1, 2013 8:13:09 AM UTC, ratnamraj raj wrote:

    Hello ,

    Can you please guide how to upgrade the spree from 1.1.1 to 1.3.1, I
    am trying to add the latest spree gem in gemfile, and run the command
    budnle spree, but I am getting number of errors.

    Can you please suggest me,

    Thanks in advance.

    --
    You received this message because you are subscribed to the Google
    Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send
    an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

    --
    You received this message because you are subscribed to the Google Groups
    "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an
    email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

    --
    You received this message because you are subscribed to the Google Groups "Spree" group.
    To unsubscribe from this group and stop receiving emails from it, send an email to spree-user+unsubscribe@googlegroups.com.
    For more options, visit https://groups.google.com/groups/opt_out.

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
groupspree-user @
categoriesrubyonrails
postedFeb 1, '13 at 8:14a
activeFeb 2, '13 at 4:51a
posts8
users4
websitespreecommerce.com
irc#RubyOnRails

People

Translate

site design / logo © 2022 Grokbase